Bug 967883 - Deprecate all LDAP synchronization mechanisms except persistent search
Deprecate all LDAP synchronization mechanisms except persistent search
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: bind-dyndb-ldap (Show other bugs)
7.0
Unspecified Unspecified
medium Severity unspecified
: rc
: ---
Assigned To: Petr Spacek
Namita Soman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-28 09:30 EDT by Dmitri Pal
Modified: 2015-01-21 10:40 EST (History)
2 users (show)

See Also:
Fixed In Version: bind-dyndb-ldap-3.5-1.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 05:42:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri Pal 2013-05-28 09:30:41 EDT
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/bind-dyndb-ldap/ticket/120

With development of DNSSEC feature (#56), it becomes clear that persistent search will be mandatory. All other mechanisms should be removed in that time.

In order to allow transition period, we need to clearly notify users that all other synchronization mechanisms are now (in Fedora 19) deprecated - via doc changes and warnings to /var/log/messages.
Comment 1 Namita Soman 2013-05-28 15:58:53 EDT
Please provide messages to expect in /var/log/messages to help with verifying this
Comment 2 Petr Spacek 2013-05-29 09:11:57 EDT
Preliminary version of the message is:
"configuration without persistent search is deprecated and the support for zone_refresh will be removed in the future"
Comment 3 Petr Spacek 2013-06-03 04:52:05 EDT
Upstream ticket was closed
Comment 4 Xiyang Dong 2014-01-14 11:44:44 EST
Verified on 
ipa-server-3.3.3-6.el7.x86_64
bind-dyndb-ldap-3.5-2.el7.x86_64

[root@70master ipa-ctl]# cat /var/log/messages|grep 'persistent search'|tail -1
Jan 13 16:09:56 70master named[31541]: persistent search will be replaced with RFC 4533 and options cache_ttl, psearch and zone_refresh will be removed in the future; please prepare your LDAP server
Comment 5 Ludek Smid 2014-06-13 05:42:06 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.